Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
ROW_RES Class Reference

`#include <pageres.h>`

Inheritance diagram for ROW_RES:

List of all members.

## Public Member Functions

| ROW_RES ()
| ROW_RES (ROW *the_row)
| ~ROW_RES ()
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Public Attributes

ROW * | row
inT32 | char_count
inT32 | rej_count
inT32 | whole_word_rej_count
WERD_RES_LIST | word_res_list

## Detailed Description

Definition at line 284 of file pageres.h.

## Constructor & Destructor Documentation

ROW_RES::ROW_RES | ( |  | ) |

inline

Definition at line 292 of file pageres.h.

{
} // empty constructor

ROW_RES::ROW_RES | ( | ROW * | the_row | ) |

Definition at line 137 of file pageres.cpp.

{
WERD_IT word_it(the_row->word_list());
WERD_RES_IT word_res_it(&word_res_list);
WERD_RES *combo = NULL; // current combination of fuzzies
WERD_RES *word_res; // current word
WERD *copy_word;
char_count = 0;
rej_count = 0;
whole_word_rej_count = 0;
row = the_row;
for (word_it.mark_cycle_pt(); !word_it.cycled_list(); word_it.forward()) {
word_res = new WERD_RES(word_it.data());
word_res->x_height = the_row->x_height();
if (word_res->word->flag(W_FUZZY_NON)) {
ASSERT_HOST(combo != NULL);
word_res->part_of_combo = TRUE;
combo->copy_on(word_res);
}
if (word_it.data_relative(1)->flag(W_FUZZY_NON)) {
if (combo == NULL) {
copy_word = new WERD;
//deep copy
*copy_word = *(word_it.data());
combo = new WERD_RES(copy_word);
combo->x_height = the_row->x_height();
combo->combination = TRUE;
word_res_it.add_to_end(combo);
}
word_res->part_of_combo = TRUE;
} else {
combo = NULL;
}
word_res_it.add_to_end(word_res);
}
}

ROW_RES::~ROW_RES | ( |  | ) |

inline

Definition at line 297 of file pageres.h.

{ // destructor
}

## Member Data Documentation

inT32 ROW_RES::char_count

Definition at line 287 of file pageres.h.

inT32 ROW_RES::rej_count

Definition at line 288 of file pageres.h.

ROW* ROW_RES::row

Definition at line 286 of file pageres.h.

inT32 ROW_RES::whole_word_rej_count

Definition at line 289 of file pageres.h.

WERD_RES_LIST ROW_RES::word_res_list

Definition at line 290 of file pageres.h.

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/ccstruct/pageres.h
- /mnt/data/src/tesseract-ocr/ccstruct/pageres.cpp